Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.msmqadapter.appconn.appimpl
Class MSMQException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.connector.msmqadapter.appconn.appimpl.MSMQException

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData, java.io.Serializable

    public class MSMQException

extends java.lang.Exception
implements com.stc.connector.persistence.bpel.PersistableData

This class is the MSMQException.

See Also:
  Serialized Form

Constructor Summary
`MSMQException()` Creates a new instance of MSMQException
`MSMQException(java.lang.String message)` Creates a new instanceof MSMQException

Method Summary
`java.lang.String` | `getErrmsg()` Gets the errmsg.
`boolean` | `hasErrmsg()` Checks whether the errmsg properety has been set.
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dout)` Persists this message.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput din)` Restores this message.
`void` | `setErrmsg(java.lang.String newerrmsg)` Sets the errmsg.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MSMQException

    public MSMQException()

  Creates a new instance of MSMQException

### MSMQException

    public MSMQException(java.lang.String message)

  Creates a new instanceof MSMQException

Method Detail

### getErrmsg

    public java.lang.String getErrmsg()

  Gets the errmsg.

  Returns:
    The errmsg.

### setErrmsg

    public void setErrmsg(java.lang.String newerrmsg)

  Sets the errmsg.

  Parameters:
    `newerrmsg` - The new errmsg.

### hasErrmsg

    public boolean hasErrmsg()

  Checks whether the errmsg properety has been set.

  Returns:
    true if it was set or false if not.

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dout)
                 throws java.lang.Exception

  Persists this message.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dout` - The DataOutput to which the Java Bean message is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput din)
                 throws java.lang.Exception

  Restores this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dis` - The DataInput from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD